/*
**     $VER: rtgCGX.h 1.001 (08 Mar 1997)
*/

#ifndef RTGCGX_H
#define RTGCGX_H TRUE

#ifndef RTGSUBLIBS_H
#include <rtgmaster/rtgsublibs.h>
#endif

#ifndef EXEC_LIBRARIES_H
#include "exec/libraries.h"
#endif

#ifndef EXEC_TYPES_H
#include "exec/types.h"
#endif

#ifndef EXEC_PORTS_H
#include <exec/ports.h>
#endif

struct RtgBaseCGX
{
    struct Library CGXLibBase;
    UWORD  Pad1;
    ULONG  SegList;
    APTR   ExecBase;
    APTR   UtilityBase;
    APTR   DosBase;
    APTR   CGXBase;
    APTR   GfxBase;
    APTR   IntBase;
    ULONG  Flags;
};

struct MyPort
{
    struct MsgPort *port;
    ULONG signal;
    WORD *MouseX;
    WORD *MouseY;
};

struct RtgScreenCGX
{
    struct RtgScreen Header;
    APTR   MyScreen;
    ULONG  ActiveMap;
    APTR   MapA;
    APTR   MapB;
    APTR   MapC;
    APTR   FrontMap;
    ULONG  Bytes;
    ULONG  Width;
    UWORD  Height;
    ULONG  NumBuf;
    UWORD  Locks;
    ULONG  ModeID;
    struct BitMap *RealMapA;
    ULONG Tags[5];
    ULONG  OffA;
    ULONG  OffB;
    ULONG  OffC;
    APTR   MyWindow;
    struct MyPort PortData;
};

#endif

