/*
**     $VER: rtgmaster_protos.h 1.000 (27 Jan 1996)
*/

#ifndef CLIB_RTGMASTER_PROTOS_H
#define CLIB_RTGMASTER_PROTOS_H

#ifndef RTGSUBLIBS_H
#include "include:rtgmaster/rtgsublibs.h"
#endif

#ifndef RTGMASTER_H
#include "include:rtgmaster/rtgmaster.h"
#endif

#ifndef EXEC_TYPES_H
#include "exec/types.h"
#endif

#ifndef UTILITY_TAGITEM_H
#include "utility/tagitem.h"
#endif

extern struct RtgScreen * __saveds __asm OpenRtgScreen(register __a0 struct ScreenReq *sreq, register __a1 struct TagItem *taglist);
void   CloseRtgScreen(struct RtgScreen *MyScreen);
void   SwitchScreens(struct RtgScreen *MyScreen, ULONG Buffer);
void   LoadRGBRtg(struct RtgScreen *MyScreen, void *Table);
void   *LockRtgScreen(struct RtgScreen *MyScreen);
void   UnlockRtgScreen(struct RtgScreen *MyScreen);
void   *GetBufAdr(struct RtgScreen *MyScreen, ULONG Buffer);
void   GetRtgScreenData(struct RtgScreen *MyScreen, struct TagItem *taglist);
ULONG  GetSegment(void);
void   SetSegment(ULONG segnum);
ULONG  RtgScreenAtFront(struct RtgScreen *MyScreen);
struct ScreenReq * __asm __saveds RtgScreenModeReq(register __a0 struct TagItem *taglist);
void   FreeScreenModeReq(struct ScreenReq *myreq);

#endif
