/*
**     $VER: rtgAMI 1.003 (08 Mar 1997)
*/

#ifndef RTGAMI_H
#define RTGAMI_H TRUE

#ifndef RTGSUBLIBS_H
#include "include:rtgmaster/rtgsublibs.h"
#endif

#ifndef RTGMASTER_H
#include "include:rtgmaster/rtgmaster.h"
#endif

#ifndef EXEC_LIBRARIES_H
#include "exec/libraries.h"
#endif

#ifndef EXEC_TYPES_H
#include "exec/types.h"
#endif

#ifndef GRAPHICS_GFX_H
#include <graphics/gfx.h>
#endif

#ifndef GRAPHICS_RASTPORT_H
#include <graphics/rastport.h>
#endif

struct RtgBaseAMI
{
    struct Library LibBase;
    ULONG  SegList;
    APTR   ExecBase;
    APTR   GfxBase;
    APTR   IntBase;
    APTR   UtilityBase;
    APTR   CyberBase;
    APTR   DosBase;
};

struct MyPort
{
    struct MsgPort *port;
    ULONG signal;
    WORD *MouseX;
    WORD *MouseY;
};

struct RtgScreenAMI
{
    struct RtgScreen Header;
    UWORD  Locks;
    UWORD  Pad;
    ULONG  ScreenHandle;
    ULONG  PlaneSize;
    ULONG  DispBuf;
    ULONG  ChipMem1;
    ULONG  ChipMem2;
    ULONG  ChipMem3;
    struct BitMap Bitmap1;
    struct BitMap Bitmap2;
    struct BitMap Bitmap3;
    ULONG  Flags;
    struct Rectangle MyRect;
    BYTE   Place[52];
    struct RastPort RastPort1;
    struct RastPort RastPort2;
    struct RastPort RastPort3;
    APTR   MyWindow;
    APTR   Pointer;
    struct MyPort  PortData;
};

#endif

